#ifndef DETECTOR_H
#define DETECTOR_H

#include <stdint.h>
#include "gpio.h"

struct PulseDetector
{
	enum GpioItemId samplePinId;
	bool lastSampleState;
};

void InitPulseDetector(struct PulseDetector *detector, enum GpioItemId samplePinId);
void SamplePulse(struct PulseDetector *detector);
bool GetSampleState(struct PulseDetector *detector);

#endif
