#ifndef GPIO_H
#define GPIO_H

#include <stdint.h>

enum GpioItemId
{
	GPIO_ITEM_SEGMENTS,
	GPIO_ITEM_DRIVER_1,
	GPIO_ITEM_DRIVER_2,
	GPIO_ITEM_DRIVER_3,
	GPIO_ITEM_PULSE_STATE,
	GPIO_ITEM_LOG_PULSE,
	GPIO_ITEM_CFG_THRESHOLD,
};

void InitGpioItems(void);
uint8_t GetGpioItemValue(enum GpioItemId id);
void SetGpioItemValue(enum GpioItemId id, uint8_t value);

#endif
