#ifndef MESSAGES_H
#define MESSAGES_H

#include <stdbool.h>

enum MessageId
{
	MSG_DISPLAY_MULTIPLEX_TICK,
	MSG_DISPLAY_BLINKING_TICK,
	MSG_LOG_PULSE_SAMPLE_TICK,
	MSG_PULSE_DETECTED,
	MSG_DISPLAY_UPDATE_TICK,
};

void InitMessageQueue(void);
void PostMessage(enum MessageId msg);
bool GetMessage(enum MessageId *msg);

#endif
